{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.giraffe.head_collision": {
      "initial_state": "head_normal",
      "states": {
        "head_normal": {
          "on_entry": [
            "@s silverlabs_nat:set_head_normal"
          ],
          "transitions": [
            {
              "head_low": "q.has_rider && q.rider_head_x_rotation(0) >= 45"
            }
          ]
        },
        "head_low": {
          "on_entry": [
            "@s silverlabs_nat:set_head_low"
          ],
          "transitions": [
            {
              "head_normal": "!q.has_rider || q.rider_head_x_rotation(0) < 45"
            }
          ]
        }
      }
    }
  }
}
